Index: sansdataloader/docs/sphinx/Makefile
===================================================================
--- sansdataloader/docs/sphinx/Makefile	(revision aab4e1501beed9965c9e6c08d09fcd8e34a20adb)
+++ sansdataloader/docs/sphinx/Makefile	(revision c2d5ff2eff4be8b3ee2b38091d2627aef3daa1e1)
@@ -35,7 +35,11 @@
 
 clean:
-	-rm -rf $(BUILDDIR)/*
+	-rm -rf $(BUILDDIR)
+	-rm -rf api
+	
+stubs:
+	python genmods.py
 
-html:
+html: stubs
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
Index: sansdataloader/docs/sphinx/genmods.py
===================================================================
--- sansdataloader/docs/sphinx/genmods.py	(revision 724784428883c6bdaa6a0b42d8a5cef99622a7ca)
+++ sansdataloader/docs/sphinx/genmods.py	(revision c2d5ff2eff4be8b3ee2b38091d2627aef3daa1e1)
@@ -16,6 +16,4 @@
    :inherited-members:
    :show-inheritance:
-   :special-members:
-   :private-members:
 
 """
